/*
 * Created on 27 aot 2009
 */
package deltadore.x2d.example;

/**
 * @author y-lebret
 */
public class SignalHandle {
	private Object _monitorObject = new Object();
	private boolean _wasSignalled = false;
	
	public void waitSignal() {
		synchronized(_monitorObject) {
			while(!_wasSignalled) {
				try { _monitorObject.wait(); }
				catch (InterruptedException err) {}
			}
			_wasSignalled = false;
		}
	}
	
	public void setSignal() {
		synchronized(_monitorObject) {
			_wasSignalled = true;
			_monitorObject.notify();
		}
	}
}